Request a Bank Account IBAN Verification

On this page, you will learn how to initiate a new Bank Account IBAN Verification using the API.

To initiate a new Bank Account IBAN Verification, you have two options :

  1. Send the IBAN along with the expected holder's details.
  2. Send a File containing the person's banking details : such as a RIB in France along with the expected holder's details.

To initiate a new Bank Account IBAN Verification with an IBAN along you can use the following endpoint :

POST /verifications/bank_account_lookups

curl --location --request POST '{baseUrl}/verifications/bank_account_lookups' \
--header 'Authorization: Bearer {apiKey}' \
--header "Content-Type: application/json" \
-d '{
    "iban": "FR8610559870736553282944457",
    "natural_person": {
      "first_name": "John",
      "last_name": "Doe"
    }
  }' 
{
    "id": "4fe46d9a-ef9c-4f1e-87c3-fb8b00b1f693",
    "workspace_id": "6ed2772f-8d7e-4f67-ab2a-790a1dce2adc",
    "created_at": "2025-07-25T09:41:08+00:00",
    "updated_at": "2025-07-25T09:41:08+00:00",
    "status": "pending",
	  "status_codes": [],
		"extracted_from_document": {
      "iban": null
    }
}

To verify an IBAN whose holder is a natural person

Query ParamTypeDescription
ibanstringThe International Bank Account Number (IBAN) to verify.
[natural_person] first_namestringThe first name of the bank account holder.
[natural_person] last_namestringThe last name of the bank account holder.
workspace_idstringScopes the verification to a specific workspace. Defaults to the main workspace if not specified.

In the response, you'll find the id. This value is required to retrieve the verification results.


To verify a Bank Account via a File

To initiate a new Bank Account IBAN Verification via a file you will need to specify a file parameter on the following endpoint :

POST /verifications/bank_account_lookups

curl --request POST \
  --url https://api-sandbox.yousign.app/v3/verifications/bank_account_lookups \
  --header 'Authorization: Bearer xxx' \
  --header 'Content-Type: multipart/form-data' \
  --form '[email protected]' \
  --form natural_person[first_name]='John' \
  --form natural_person[last_name]='Doe' \
  --form workspace_id='c0840991-848c-47ed-9bfa-68c9daca4793'